Subject: RE: [Ltru] matching submitted again...

From: [email-masked]
Date: Tue, 28 Jun 2005 16:46:00 -0700

I guess I'm mistaken. I found a couple references that seemed to indicate 
the term "zhong wen (fan ti zi, zhong guo)" meant Mandarin specifically and not general PRC Chinese. I'm not a student 
of Chinese language so I realize this was in error and I am not educated 
in the regional distinctions in Mandarin beyond the orthography.

I do think there is a common misperception that Chinese is only written in 
the Mandarin dialect. I reference this text on the LOC site ISO FAQ:

Q. How does one distinguish between Cantonese and Mandarin variations of 
Chinese? 

A. The standard was intended for written languages primarily, and *since 
Chinese is the same in its written form for Cantonese and Mandarin*, no 
distinction was made in the code list. There are two possible methods for 
making this distinction using ISO 639 codes. 

I don't believe the above is true. I also believe that your standard is 
now intended, although not initially designed, to address my audio 
identification needs as well. I certainly understand the desire to use 
Chinese as an example in the RFC because of its complexity.

Regards,

Karen Broome
Metadata Systems Designer
Sony Pictures Entertainment
310.244.4384

"Addison Phillips" <[email-masked]>
Sent by: [email-masked]
06/28/2005 04:07 PM

        To:     <[email-masked]>
        cc:     LTRU Working Group <[email-masked]>
        Subject:        RE: [Ltru] matching submitted again...

::sigh::

Those tags are registered in the RFC 3066 registry explicitly. What the 
RFC 3066 registry actually says is:

   zh-Hans-CN   PRC Mainland Chinese in simplified script  [Davis]

The description of zh-Hans-CN in the matching and registry documents 
NOWHERE say Mandarin or Cantonese or anything of the sort nor imply 
anything about spoken language dialects and the like.

There is quite an involved thread showing the distinctions of the regional 
variations from the script variations and NOT involving dialects of 
Chinese in the ietf-languages thread related to the registration of these 
values. Great care was exercised in writing the drafts so as not to 
incorrectly imply anything about the value of one or another combination 
of subtags. Please read the drafts carefully on this point.

Spoken variation and written variation in Chinese are known problem cases. 
The introduction of script subtags rescued applications from having to use 
a particular region subtag (like 'TW') to imply the script (a bad policy 
that: implying one attribute from an unrelated attribute). I don't think I 
need to spell out the political problems here. Suffice it to say that 
there are at least four interesting ISO 3166 region codes that can be 
combined with 'zh', some of which are part of the PRC (like HK) and some 
of which are not (like SG). The differences among these do not stop with 
script and thus some people felt the need to register the various tags 
combining both.

Furthermore, RFC 3066bis, like RFC 3066 before it, features a *generative* 
syntax which allows subtags to be combined in a variety of ways, not all 
of which make sense. Thus the tags presented in the matching draft will be 
valid tags even if they are not best practice and rarely used. However, I 
suspect that for written content tags of this nature will not be uncommon. 
Additional work to indicate spoken dialects--which also affect word choice 
in written texts and would use tags such as zh-cmn-* --will also be 
useful.

Regards,

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Dienstag, 28. Juni 2005 15:26
> To: Addison Phillips
> Cc: LTRU Working Group
> Subject: Re: [Ltru] matching submitted again...
> 
> Did I miss last call? Forgive me if this is a rushed e-mail.
> 
> There are references to zh-Hant-TW, etc., throughout the document. I 
think
> it directly references zh-Hans-CN as well.  I don't think the zh-Hans-CN
> tag should be considered a best practice because the region type is in
> many ways making the same distinction as the orthography type.
> 
> I think the best practice for Simplified Chinese in China should be to
> specify Mandarin or Cantonese explicitly along with Hant or Hans if
> written. The description of the zh-Hans-CN tag indicates Mandarin, 
though
> none of its building blocks make this specification. This is why I
> registered zh-cmn-Hant and zh-cmn-Hans.
> 
> Karen Broome
> Metadata Systems Designer
> Sony Pictures Entertainment
> 310.244.4384
> 
> 
> 
> 
> "Addison Phillips" <[email-masked]>
> Sent by: [email-masked]
> 06/28/2005 03:16 PM
> 
> 
>         To:     "LTRU Working Group" <[email-masked]>
>         cc:
>         Subject:        [Ltru] matching submitted again...
> 
> 
> I have just submitted an updated copy of the matching draft in which I
> removed the references from the abstract, switched to symrefs, and did 
one
> or two other housekeeping chores to stay in sync with developments in 
the
> other drafts.
> 
> Addison
> 
> Addison P. Phillips
> Globalization Architect, Quest Software
> http://www.quest.com
> 
> Chair, W3C Internationalization Core Working Group
> http://www.w3.org/International
> 
> Internationalization is not a feature.
> It is an architecture.
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru
> 
> 
> 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "John.Cowan" <[email-masked]>
Date: Wed, 29 Jun 2005 07:42:41 -0400

[email-masked] scripsit:

> I don't believe the above is true. 

It isn't, and it's regrettable that the LOC believes it.  See
http://en.wikipedia.org/wiki/Written_Cantonese for a reasonable (though not
authoritative) summary of the actual situation.  Excerpt:

	Before the 20th century, the standard written language of China
	was Classical Chinese, which has grammar and vocabulary based
	on the Chinese used in ancient China, Old Chinese. However,
	while this written standard remained essentially static for
	over two thousand years, the actual spoken language diverged
	further and further away. Some writings based on local vernacular
	speech did exist but these were rare. In the early 20th century,
	Chinese reformers like Hu Shi saw the need for language reform
	and championed the development of a vernacular that allowed
	modern Chinese to write the language the same way they speak. The
	vernacular langauge movement took hold, and the written language
	was standardized as Vernacular Chinese. However, the Chinese
	spoken varieties used across China are not all the same, and
	because the Mandarin dialects comprised the largest proportion
	of the Chinese speaking population, Vernacular Chinese was based
	mostly on the grammar and vocabulary of Mandarin.

	The standardization and adoption of Vernacular Chinese as standard
	written Chinese pre-empted the development and standardization
	of other vernaculars based on other Chinese varieties. No matter
	what dialect one spoke, one still wrote in standard written
	Chinese for everyday writing. However, Cantonese is unique
	among the non-Mandarin spoken varieties in having a widely used
	colloquial standard. This is due in part to the fact that Hong
	Kong, a large Cantonese-speaking city, was outside of Chinese
	control for over a hundred years before the British handed
	it over to the People's Republic of China in 1997. Even so,
	Cantonese speakers will use standard written Chinese in most
	formal written communications, since written Cantonese contains
	many dialect-specific characters and grammatical structures that
	may be unfamiliar or even unreadable to other Chinese speakers.

	Historically, written Cantonese has been used in Hong Kong
	for legal proceedings in order to record the exact testimony
	of a witness, instead of paraphrasing in standard written
	Chinese. However, its popularity and usage is rising. Written
	colloquial Cantonese has become quite popular in certain tabloids,
	online chat rooms, and instant messaging. Some tabloids like Apple
	Daily write colloquial Cantonese; papers may contain editorials
	that contain Cantonese; and Cantonese-specific characters can
	be increasingly seen on advertisements and billboards. Written
	Cantonese remains limited outside of Hong Kong, even in other
	Cantonese-speaking areas such as Guangdong, where the use of
	colloquial writing is discouraged.

-- 
John Cowan  [email-masked]  www.ccil.org/~cowan  www.reutershealth.com
And now here I was, in a country where a right to say how the country should
be governed was restricted to six persons in each thousand of its population.
For the nine hundred and ninety-four to express dissatisfaction with the
regnant system and propose to change it, would have made the whole six
shudder as one man, it would have been so disloyal, so dishonorable, such
putrid black treason.  --Mark Twain's Connecticut Yankee